problem while trying to install samp in linux server
#1

all goes right, but when i wanna enter the game, the server mode is Unknown.
im using SQL, could it be that problem?
can u help me please?

thanks,
ben
Reply
#2

i did some progress...
look at the server log:
SA:MP Dedicated Server
----------------------
v0.2X, ©2005-2008 SA:MP Team

[16:14:37]
[16:14:37] Server Plugins
[16:14:37] --------------
[16:14:37] Loading plugin: sampmysql.so
[16:14:37] Failed (plugins/sampmysql.so: requires glibc 2.5 or later dynamic linker)
[16:14:37] Loaded 0 plugins.

[16:14:37]
[16:14:37] Filter Scripts
[16:14:37] ---------------
[16:14:37] Loading filter script 'adminspec.amx'...
[16:14:37] Loading filter script 'vactions.amx'...
[16:14:37] Loading filter script 'XObjects.amx'...
[16:14:37] Unable to load filter script 'XObjects.amx'.
[16:14:37] Loaded 2 filter scripts.

[16:14:37] Script[gamemodes/cwrp.amx]: Run time error 19: "File or function is not found"

this is means that i need to install the glibc 2.5 on the linux.
i have CentOS 4.7 but im pretty newbie with linux. can somebody help me please?

any help would be appreciated
Reply
#3

You maybe doesn`t have compiled files
Reply
#4

Code:
[16:14:37]  Failed (plugins/sampmysql.so: requires glibc 2.5 or later dynamic linker)
[16:14:37] Loaded 0 plugins.
I think this is the problem.
Reply
#5

hahaha i know that this is the problem
but i dont know how to solve it.
i dont know linux very well... can somebody help me pls?
Reply
#6

Download glibc 2.5?
Reply
#7

first, thanks for the fast reply XD

how can i do it?
i ******d something like an hour to find how. but i didnt find an answer
do u know linux?
Reply
#8

Here`s download link
Reply
#9

ok i did :
wget http://ftp.gnu.org/pub/gnu/glibc/glibc-2.7.tar.gz
tar -zxf glibc-2.7.tar.gz
cd glibc-2.7
ls

the directory contains:


abilist config.h.in io README.template
abi-tags config.make.in libio resolv
aclocal.m4 config-name.in locale resource
aout configure localedata Rules
argp configure.in login scripts
bits conform mach shadow
BUGS CONFORMANCE Makeconfig shlib-versions
CANCEL-FCT-WAIVE COPYING Makefile.in signal
CANCEL-FILE-WAIVE COPYING.LIB Makerules socket
catgets cppflags-iterator.mk misc soft-fp
ChangeLog crypt NAMESPACE stdio-common
ChangeLog.1 csu NEWS stdlib
ChangeLog.10 ctype nis streams
ChangeLog.11 dirent NOTES string
ChangeLog.13 elf nptl sunrpc
ChangeLog.14 extra-lib.mk nptl_db sysvipc
ChangeLog.15 FAQ nscd termios
ChangeLog.16 FAQ.in nss time
ChangeLog.3 gmon o-iterator.mk timezone
ChangeLog.4 grp po Versions.def
ChangeLog.5 hesiod posix wcsmbs
ChangeLog.6 iconvdata PROJECTS wctype
ChangeLog.8 include pwd WUR-REPORT
ChangeLog.9 inet README
conf intl README.libm


what do i need to do now?
Reply
#10

install it? :P
Reply


Forum Jump:


Users browsing this thread: